#
# spec file for package apache2-mod_zrkadlo (Version 1.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
 
Name:		apache2-mod_ip_count_modmemcache
Summary:	A 'DoS' prevention apache2 module, implemented using a memcache daemon
BuildRequires:  apache2-devel apache2-prefork 
BuildRequires:  apache2-mod_memcache
Version:	2.0
Release:	9.27
License:	Apache License
Group:          Productivity/Networking/Web/Servers
# http://feh.holsman.net
#URL:		http://svn.zilbo.com/svn/mod_ip_count/trunk/
URL:		http://www.zilbo.com/
# my version that uses mod_memcache
Source0:	mod_ip_count_modmemcache.tar.gz
Requires:       apache2 %{apache_mmn} 
Requires:       apache2-mod_memcache
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
mod_ip_count is a DoS prevention apache module. It works by
restricting the number of requests that a given client can issue
to a server pool. It requires a memcache daemon.

This package contains a version of mod_ip_count which is sligthly change to use
mod_memcache for configuration and initialization of the memcache.

%prep
%setup -n mod_ip_count_modmemcache

%build
# the module ships a copy of apr_memcache, but aprutil 1.3 includes it already,
# we have that in the buildsystem and use it directly.
%{apxs} -c -Wc,"-Wall -g" mod_ip_count.c

%install
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p .libs/mod_ip_count.so $RPM_BUILD_ROOT/%{apache_libexecdir}

%files
%defattr(-,root,root)
%doc README LICENSE NOTICE
%{apache_libexecdir}/*.so

%changelog
* Sun Jun 15 2008 poeml@suse.de
- build with aprutil 1.3, which includes apr_memcache now.
* Tue Jun 10 2008 poeml@suse.de
- build service supports the debuginfo flag in metadata now; remove
  debug_package macro from the specfile therefore.
- add requires on apache2-mod_memcache
* Mon Jun  2 2008 poeml@suse.de
- initial package. Adapted version that uses mod_memcache.
